2 Replies Latest reply on Mar 23, 2016 7:19 AM by 欣 齐

    How to get the coordinates(point_X、point_Y、point_Z)of gravity on an assembly

    欣 齐

      ModelDoc2 ModelDoc2 = default(ModelDoc2);

                  ModelDoc2 = (ModelDoc2)iSwApp.ActiveDoc;

                  int DocType = 0;

                  DocType = ModelDoc2.GetType();

                  if (DocType != (int)swDocumentTypes_e.swDocASSEMBLY)

                  {

                      Debug.Print("An assembly document is not active");

                      return;

                  }

                  ModelDoc2.ClearSelection2(true);

                  AssemblyDoc AssemblyDoc = default(AssemblyDoc);

                  AssemblyDoc = (AssemblyDoc)ModelDoc2;

         

                  AssemblyDoc .XXXXXXXXXXXXXXXXX

                   QUE:what funtion using , I can get the assembly's gravity coordinates?

                   Thanks a lot!